Package org.eclipse.mat.inspections.osgi.model

## Class Bundle

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.Bundle

Direct Known Subclasses:
  `BundleFragment`

    public class Bundle
    extends java.lang.Object

### Constructor Summary

Constructors
`Bundle​(BundleDescriptor descriptor, java.lang.String location, java.util.List<BundleDescriptor> dependencies, java.util.List<BundleDescriptor> dependents, java.util.List<ExtensionPoint> extensionPoints, java.util.List<Extension> extensions, java.util.List<Service> registeredServices, java.util.List<Service> usedServices, java.util.List<BundleDescriptor> fragments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BundleDescriptor` `getBundleDescriptor()`
`java.util.List<BundleDescriptor>` `getDependencies()`
`java.util.List<BundleDescriptor>` `getDependents()`
`java.util.List<ExtensionPoint>` `getExtentionPoints()`
`java.util.List<Extension>` `getExtentions()`
`java.util.List<BundleDescriptor>` `getFragments()`
`java.lang.String` `getLocation()`
`java.util.List<Service>` `getRegisteredServices()`
`java.util.List<Service>` `getUsedServices()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bundle

    public Bundle​(BundleDescriptor descriptor,
                  java.lang.String location,
                  java.util.List<BundleDescriptor> dependencies,
                  java.util.List<BundleDescriptor> dependents,
                  java.util.List<ExtensionPoint> extensionPoints,
                  java.util.List<Extension> extensions,
                  java.util.List<Service> registeredServices,
                  java.util.List<Service> usedServices,
                  java.util.List<BundleDescriptor> fragments)

### Method Detail

#### getBundleDescriptor

    public BundleDescriptor getBundleDescriptor()

#### getExtentionPoints

    public java.util.List<ExtensionPoint> getExtentionPoints()

#### getExtentions

    public java.util.List<Extension> getExtentions()

#### getDependencies

    public java.util.List<BundleDescriptor> getDependencies()

#### getLocation

    public java.lang.String getLocation()

#### getDependents

    public java.util.List<BundleDescriptor> getDependents()

#### getRegisteredServices

    public java.util.List<Service> getRegisteredServices()

#### getUsedServices

    public java.util.List<Service> getUsedServices()

#### getFragments

    public java.util.List<BundleDescriptor> getFragments()